Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.plugin
Class PlugInHandler

    java.lang.Object
      mauda.plugin.PlugInHandler

    public class PlugInHandler

extends java.lang.Object

Loads all Plug-in-specific parameters and classes.
- setting the data-directory
- generates an empty data-structure
- loads a class that implements Analysable
- loads a class that extends OperationExecuter
- loads suboperation-ratings
- prepares the interacive access to the data-structure
- inserts available operations for access

Author:
  Markus Krebs

Constructor Summary
`PlugInHandler(SimpleExercise exercise)` Creates a PlugInHandler

Method Summary
`java.lang.String[]` | `getAvailablePlugIns()` Gets a list of the available Plug-In-IDs
`java.lang.String` | `getPlugInID(java.lang.String name)` Converts a PlugIn-ID into a PlugIn-Name.
`java.lang.String` | `getPlugInString(java.lang.String id)` Gets the plug-in-name from an plug-in-id from the plug-in- properies-file
`void` | `load(java.lang.String type)` Loads an specific PlugIn
`void` | `loadRatings()` Loads the ratings for the suboperations from a xml-file

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlugInHandler

    public PlugInHandler(SimpleExercise exercise)

  Creates a PlugInHandler

  Parameters:
    `exercise` - SimpleExercise

Method Detail

### getAvailablePlugIns

    public java.lang.String[] getAvailablePlugIns()

  Gets a list of the available Plug-In-IDs

  Returns:
    Array of Plug-In-IDs

### getPlugInID

    public java.lang.String getPlugInID(java.lang.String name)

  Converts a PlugIn-ID into a PlugIn-Name. E.g.: Fibonacci-Heap => FibHeap

  Parameters:
    `name` - plug-in-ID
  Returns:
    plug-in-name

### getPlugInString

    public java.lang.String getPlugInString(java.lang.String id)

  Gets the plug-in-name from an plug-in-id from the plug-in- properies-file

  Parameters:
    `id` - plug-in-ID
  Returns:
    plug-in-Name

### load

    public void load(java.lang.String type)

  Loads an specific PlugIn

  Parameters:
    `type` - plug-in-name

### loadRatings

    public void loadRatings()

  Loads the ratings for the suboperations from a xml-file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD